import { Path } from '../Nest/Core/Path';
import { Part } from '../Nest/Core/Part';

let autoId:number = 0 
export class BlockConvert{
    /**
     *
     */
    constructor() {
        // super();
        this.init();
    }

    init(){
        autoId = 0;
    }
    createPart(data:any,board:Path){
        // let id = data['BlockID'];
        let width = data['Width'];
        let height = data['Length'];
        let part = new Part();
        part.Id = autoId++;
        part.Init(new Path([{ x: 0, y: 0 }, { x: width, y: 0 }, { x: width, y: height }, { x: 0, y: height }]),board);
        part.UserData = data;
        return part;
    }
}